Loading...
Searching...
No Matches
uhd::rfnoc::detail::filter_node Class Referenceabstract

`#include <uhd/rfnoc/filter_node.hpp>`

## Public Types

using | sptr = std::shared_ptr<filter_node>

## Public Member Functions

virtual | ~filter_node ()=default
virtual std::vector< std::string > | get_rx_filter_names (const size_t chan) const =0
virtual uhd::filter_info_base::sptr | get_rx_filter (const std::string &name, const size_t chan)=0
virtual void | set_rx_filter (const std::string &name, uhd::filter_info_base::sptr filter, const size_t chan)=0
virtual std::vector< std::string > | get_tx_filter_names (const size_t chan) const =0
virtual uhd::filter_info_base::sptr | get_tx_filter (const std::string &name, const size_t chan)=0
virtual void | set_tx_filter (const std::string &name, uhd::filter_info_base::sptr filter, const size_t chan)=0

## Detailed Description

Pure virtual mix-in class for RFNoC block controllers that have filters present.

## Member Typedef Documentation

## sptr

using uhd::rfnoc::detail::filter_node::sptr = std::shared_ptr<filter_node>

## Constructor & Destructor Documentation

## ~filter_node()

virtual uhd::rfnoc::detail::filter_node::~filter_node | ( |  | ) |

virtual default

## Member Function Documentation

## get_rx_filter()

virtual uhd::filter_info_base::sptr uhd::rfnoc::detail::filter_node::get_rx_filter | ( | const std::string & | name,
|  | const size_t | chan )

pure virtual

## get_rx_filter_names()

virtual std::vector< std::string > uhd::rfnoc::detail::filter_node::get_rx_filter_names | ( | const size_t | chan | ) | const

pure virtual

## get_tx_filter()

virtual uhd::filter_info_base::sptr uhd::rfnoc::detail::filter_node::get_tx_filter | ( | const std::string & | name,
|  | const size_t | chan )

pure virtual

## get_tx_filter_names()

virtual std::vector< std::string > uhd::rfnoc::detail::filter_node::get_tx_filter_names | ( | const size_t | chan | ) | const

pure virtual

## set_rx_filter()

virtual void uhd::rfnoc::detail::filter_node::set_rx_filter | ( | const std::string & | name,
|  | uhd::filter_info_base::sptr | filter,
|  | const size_t | chan )

pure virtual

## set_tx_filter()

virtual void uhd::rfnoc::detail::filter_node::set_tx_filter | ( | const std::string & | name,
|  | uhd::filter_info_base::sptr | filter,
|  | const size_t | chan )

pure virtual

The documentation for this class was generated from the following file:

- filter_node.hpp